Ana içeriğe atla
PUT
/
organizations
/
current
Aktif organizasyon ayarlarını güncelle
curl --request PUT \
  --url https://app.azalt.co/api/v1/organizations/current \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "openaiApiKey": "<string>",
  "anthropicApiKey": "<string>",
  "defaultDashboardStatuses": [],
  "requireFormAssignment": [],
  "navigationTags": {
    "forms": [
      "<string>"
    ],
    "kpis": [
      "<string>"
    ],
    "dashboards": [
      "<string>"
    ]
  },
  "defaultHideFuturePeriods": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "ownerId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.azalt.co/llms.txt

Use this file to discover all available pages before exploring further.

Yetkilendirmeler

Authorization
string
header
gerekli

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Gövde

application/json
name
string
Minimum string length: 1
openaiApiKey
string | null
anthropicApiKey
string | null
defaultFormWorkflow
object
defaultDashboardStatuses
enum<string>[]
Mevcut seçenekler:
COMPLETED,
APPROVED,
REJECTED
requireFormAssignment
enum<string>[]
Mevcut seçenekler:
VIEWER,
COLLECTOR,
APPROVER,
MANAGER
navigationTags
object
widgetTheme
object
defaultHideFuturePeriods
boolean

Yanıt

Successful response

id
string
gerekli
name
string
gerekli
ownerId
string
gerekli